/*
 * Copyright (c) 1991 David I. Bell
 * Permission is granted to use, distribute, or modify this source,
 * provided that this copyright notice remains intact.
 *
 * Serial mouse user-level device driver.
 */
#include <stdio.h>
#include <errno.h>
#include <sgtty.h>
#include <sys/types.h>
#include <fcntl.h>
#include "../include/graphics.h"


static int buttons;
static int availbuttons;

/*
 * Open up the mouse device.
 * The mouse can either be a Microsoft serial mouse or a PC serial mouse.
 * Arguments are the type of mouse, and the tty device name the mouse is on.
 * Type is either "pc" or "ms".  If arguments are NULL, then the environment
 * variables are used for the values.  If there are none, then defaults are
 * used.  Returns zero if successful, or negative if unsuccessful.
 */
int
GdOpenMouse(type, port)
	char	*type;			/* type of mouse */
	char	*port;			/* tty port name */
{
	return 0;
}


/*
 * Return which buttons are available.
 */
void
GdGetButtonInfo(buttons)
	GR_BUTTON	*buttons;		/* implemented buttons */
{
	*buttons = availbuttons;
}


/*
 * Close the mouse device.
 */
void
GdCloseMouse()
{
}


/*
 * Attempt to read bytes from the mouse and interpret them.
 * Returns -1 on error, 0 if either no bytes were read or not enough
 * was read for a complete state, or 1 if the new state was read.
 * When a new state is read, the current buttons and x and y deltas
 * are returned.  This routine does not block.
 */
int
GdReadMouse(xdptr, ydptr, bptr)
	GR_COORD	*xdptr;			/* returned X delta */
	GR_COORD	*ydptr;			/* returned Y delta */
	GR_BUTTON	*bptr;			/* returned buttons */
{
	*xdptr = 0;
	*ydptr = 0;
	*xdptr = buttons;
	return 0;
}


/* END CODE */
